Package twisted :: Package web :: Package woven :: Module form :: Class FormDisplayModel

[show private | hide private]
[frames | no frames]

## Class FormDisplayModel

      Model --+
              |
    MethodModel --+
                  |
                 FormDisplayModel

Known Subclasses:
  `FormErrorModel`

Method Summary
| `__init__(self, *args, **kwargs)` (inherited from `Model`)
| `__cmp__(self, other)` (inherited from `Model`)
| `__getstate__(self)` (inherited from `Model`)
| `addSubview(self, name, subview)` (inherited from `Model`)
| ``addView`(self, view)` Add a view for the model to keep track of. (inherited from `Model`)
| `getData(self)` (inherited from `Model`)
| ``getSubmodel`(self, name)` Get the submodel `name' of this model. (inherited from `Model`)
| `initialize(self, fmethod)`
| ``lookupSubmodel`(self, submodelName)` Look up a full submodel name. (inherited from `Model`)
| ``notify`(self, changed)` Notify all views that something was changed on me. (inherited from `Model`)
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of. (inherited from `Model`)
| `setData(self, data)` (inherited from `Model`)
| ``setSubmodel`(self, name, value)` Set a submodel on this model. (inherited from `Model`)
| ``submodelCheck`(self, name)` Allow any submodel for which I have a submodel. (inherited from `MethodModel`)
| ``submodelFactory`(self, name)` Call a wmfactory_name method on this model. (inherited from `MethodModel`)
| `_getModelWrapper(self, currentModel, element, parentModel)` (inherited from `Model`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:30 2003 | http://epydoc.sf.net